verbose on

# Get install dir.
GetRegistryValue installdir=HKEY_LOCAL_MACHINE\SOFTWARE\OpeniT\Resources\InstallDir

# Check version.
versionCheck %installdir%\Configuration\version=4.9*,5.0*,5.1*

# Stop service.
# (The service may not be running, so we don't quit if we fail to stop it.)
die off
system net stop openit

# Copy configuration.
system copy "Configuration\freezemonitor.mess" "%installdir%\Configuration\LogMessages\"
system copy "Configuration\ConfBuilder.conf" "%installdir%\Configuration\"

# Copy binaries.
system copy "bin\Disabler.exe" "%installdir%\bin\"
system copy "bin\DisableMonitor.exe" "%installdir%\bin\"

# Start service again.
system net start openit
